aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorNeels Hofmeyr <nhofmeyr@sysmocom.de>2016-08-29 15:50:14 +0200
committerHarald Welte <laforge@gnumonks.org>2016-09-09 06:43:30 +0000
commit6648fe8f1ebcf7d082ad3d957f14565cfbb3a142 (patch)
treeeb95158f06a571721ce4e30178e8b3c49830a7d3 /contrib
parent1a0bb5108c5c84cb3dfdca0b848e2fa4c7b03f05 (diff)
jenkins.sh: don't build twice
Instead of building the same .c files twice, rather verify that the 'make regen' target produces identical .c files as are checked in. Change-Id: I18e7677d8596f61b883e9db57b4bdd2a5c154ec3
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/jenkins.sh23
1 files changed, 14 insertions, 9 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index c24bec2..72efdbc 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -55,19 +55,24 @@ build_dep asn1c aper-prefix
marker osmo-iuh
cd "$base"
-# Build using the checked-in asn1 code
-autoreconf --install --force
-./configure
-$MAKE $PARALLEL_MAKE
-LD_LIBRARY_PATH="$inst/lib" $MAKE check
-# distcheck is broken
-#LD_LIBRARY_PATH=$PWD/deps/install/lib $MAKE distcheck
-make clean
-# Build with regenerated asn1 code
autoreconf --install --force
./configure
+
+# Verify that checked-in asn1 code is identical to regenerated asn1 code
PATH="$inst/bin:$PATH" $MAKE $PARALLEL_MAKE -C src regen
+
+# attempt to settle the file system
+sleep 1
+
+git status
+git diff | cat
+
+if ! git diff-files --quiet ; then
+ echo "ERROR: 'make -C src regen' does not match committed asn1 code"
+ exit 1
+fi
+
$MAKE $PARALLEL_MAKE
LD_LIBRARY_PATH="$inst/lib" $MAKE check
# distcheck is broken